import { jsx } from "react/jsx-runtime";
import { TokenATPAY as TokenATPAY$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenATPAY = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "ATPAY", "data-name": "TokenATPAY", ...props, children: /* @__PURE__ */ jsx(TokenATPAY$1, { variant }) });
  }
);
TokenATPAY.displayName = "TokenATPAY";
Object.assign(TokenATPAY, { isGdsIcon: true });
export {
  TokenATPAY
};
